Gallery Platform API
Reference

Get a program

Returns a single program's metadata.

GET
/gallery/programs/{programId}

Returns a single program's metadata.

Authorization

bearerAuth shows:read
AuthorizationBearer <token>

A gallery API key, sent as Authorization: Bearer gpk_… (or the x-api-key header).

In: header

Scope: shows:read

Path Parameters

programId*string

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

{  "id": "string",  "slug": "string",  "event_type": "opening",  "title": "string",  "description": "string",  "show_id": "string",  "starts_at": "string",  "ends_at": "string",  "location_id": "string",  "venue_name": "string",  "external_url": "string",  "visibility": "public",  "capacity": -9007199254740991,  "created_at": "string",  "updated_at": "string"}